/**************************************************************
 *                                                            *
 *                   MainActor Rexx Script                    *
 *                                                            *
 *  Plays the current project in window mode, restores        *
 *  old settings when finished.                               *
 *                                                            *
 *  Last modified: 09/23/97, Written by: Markus Moenig        *
 *                                                            *
 **************************************************************/

  IF GetGlobalInfo("LOADEDPROJECTS")= "0" THEN DO     /* Check if there are */
   BEGIN                                              /* any projects loaded */
    say "No project loaded! Exiting ..."              /* No project, exit */
    exit
   END

  oldfs_sett=SetPlaybackConfig("FULLSCREEN", "OFF" )     /* Disable FullScreen mode */

  PlayProject()                                          /* Play it ... */
                              
  SetPlaybackConfig("FULLSCREEN", oldfs_sett)            /* Restore old settings ... */
