/**************************************************************
 *                                                            *
 *                   MainActor Rexx Script                    *
 *                                                            *
 *  Plays the current project in fullscreen mode, restores    *
 *  old settings when finished.                               *
 *                                                            *
 *  Last modified: 09/23/97, Written by: Markus Moenig        *
 *                                                            *
 **************************************************************/

  IF GetGlobalInfo("LOADEDPROJECTS")= "0" THEN DO     /* Check if there are */
   BEGIN                                              /* any projects loaded */
    say "No project loaded! Exiting ..."              /* No project, exit */
    exit
   END

  oldfs_sett=SetPlaybackConfig("FULLSCREEN", "ON" )      /* Set FullScreen mode */
  oldsts_sett=SetPlaybackConfig("SCALETOSCREEN", "OFF" ) /* Disable scaling */
  oldbm_sett=SetPlaybackConfig("USEBESTMODE", "ON" )     /* Use best availabe screen-mode */

  PlayProject()                                          /* Play it ... */
                              
  SetPlaybackConfig("FULLSCREEN", oldfs_sett)            /* Restore old settings ... */
  SetPlaybackConfig("SCALETOSCREEN", oldsts_sett)
  SetPlaybackConfig("USEBESTMODE", oldbm_sett)